## rtl-sdr 2.0.2.202509192026

=== debian/changelog ===
rtl-sdr (2.0.2.202509192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 19 Sep 2025 20:27:34 +0000

=== debian/control ===
Source: rtl-sdr
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
	       pkg-config
Standards-Version: 4.1.4
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-rtl-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-rtl-sdr.git

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202509192026), librtlsdr0 (= ${binary:Version}),
         libusb-1.0-0-dev [!kfreebsd-any],
         libusb2-dev [kfreebsd-any],
         ${misc:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (development)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.

Package: librtlsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202509192026), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: rtl-sdr
Architecture: any
Depends: osmocom-nightly (= 202509192026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

## rtl-sdr 2.0.2.202509202026

=== debian/changelog ===
rtl-sdr (2.0.2.202509202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 20 Sep 2025 20:27:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509192026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509202026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509192026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509202026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509192026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509202026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509212026

=== debian/changelog ===
rtl-sdr (2.0.2.202509212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 21 Sep 2025 20:27:38 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509202026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509212026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509202026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509212026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509202026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509212026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509222026

=== debian/changelog ===
rtl-sdr (2.0.2.202509222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 22 Sep 2025 20:27:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509212026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509222026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509212026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509222026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509212026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509222026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509232026

=== debian/changelog ===
rtl-sdr (2.0.2.202509232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 23 Sep 2025 20:27:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509222026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509232026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509222026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509232026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509222026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509232026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509242026

=== debian/changelog ===
rtl-sdr (2.0.2.202509242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 24 Sep 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509232026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509242026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509232026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509242026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509232026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509242026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509252026

=== debian/changelog ===
rtl-sdr (2.0.2.202509252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 25 Sep 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509242026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509252026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509252026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509242026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509252026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509262026

=== debian/changelog ===
rtl-sdr (2.0.2.202509262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 26 Sep 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509252026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509262026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509262026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509252026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509262026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509272026

=== debian/changelog ===
rtl-sdr (2.0.2.202509272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 27 Sep 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509262026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509272026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509272026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509262026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509272026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509282026

=== debian/changelog ===
rtl-sdr (2.0.2.202509282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 28 Sep 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509272026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509282026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509282026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509272026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509282026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.202509292026

=== src/CMakeLists.txt ===
# Copyright 2012-2020 Osmocom Project
#
# This file is part of rtl-sdr
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

########################################################################
# Setup shared library variant
########################################################################
add_library(rtlsdr SHARED librtlsdr.c
  tuner_e4k.c tuner_fc0012.c tuner_fc0013.c tuner_fc2580.c tuner_r82xx.c)
target_link_libraries(rtlsdr ${LIBUSB_LIBRARIES} ${THREADS_PTHREADS_LIBRARY})
target_include_directories(rtlsdr PUBLIC
  $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>  # <prefix>/include
  ${LIBUSB_INCLUDE_DIRS}
  ${THREADS_PTHREADS_INCLUDE_DIR}
  )
set_target_properties(rtlsdr PROPERTIES DEFINE_SYMBOL "rtlsdr_EXPORTS")
set_target_properties(rtlsdr PROPERTIES OUTPUT_NAME rtlsdr)
set_target_properties(rtlsdr PROPERTIES SOVERSION 0)
set_target_properties(rtlsdr PROPERTIES VERSION ${LIBVER})
generate_export_header(rtlsdr)

########################################################################
# Setup static library variant
########################################################################
add_library(rtlsdr_static STATIC librtlsdr.c
  tuner_e4k.c tuner_fc0012.c tuner_fc0013.c tuner_fc2580.c tuner_r82xx.c)
target_link_libraries(rtlsdr ${LIBUSB_LIBRARIES} ${THREADS_PTHREADS_LIBRARY})
target_include_directories(rtlsdr_static PUBLIC
  $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>  # <prefix>/include
  ${LIBUSB_INCLUDE_DIRS}
  ${THREADS_PTHREADS_INCLUDE_DIR}
  )
set_property(TARGET rtlsdr_static APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
if(NOT WIN32)
# Force same library filename for static and shared variants of the library
set_target_properties(rtlsdr_static PROPERTIES OUTPUT_NAME rtlsdr)
endif()
generate_export_header(rtlsdr_static)

########################################################################
# Set up Windows DLL resource files
########################################################################
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/Version.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/rtlsdr.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/rtlsdr.rc
    @ONLY)
  target_sources(rtlsdr PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/rtlsdr.rc)
  target_sources(rtlsdr_static PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/rtlsdr.rc)
ENDIF(MSVC)

########################################################################
# Setup libraries used in executables
########################################################################
add_library(convenience_static STATIC
    convenience/convenience.c
)
target_include_directories(convenience_static
  PRIVATE ${CMAKE_SOURCE_DIR}/include)
if(WIN32)
add_library(libgetopt_static STATIC
    getopt/getopt.c
)
target_link_libraries(convenience_static
    rtlsdr
)
endif()

########################################################################
# Build utility
########################################################################
add_executable(rtl_sdr rtl_sdr.c)
add_executable(rtl_tcp rtl_tcp.c)
add_executable(rtl_test rtl_test.c)
add_executable(rtl_fm rtl_fm.c)
add_executable(rtl_eeprom rtl_eeprom.c)
add_executable(rtl_adsb rtl_adsb.c)
add_executable(rtl_power rtl_power.c)
add_executable(rtl_biast rtl_biast.c)
set(INSTALL_TARGETS rtlsdr rtlsdr_static rtl_sdr rtl_tcp rtl_test rtl_fm rtl_eeprom rtl_adsb rtl_power rtl_biast)

target_link_libraries(rtl_sdr rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_tcp rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_test rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_fm rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_eeprom rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_adsb rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_power rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_biast rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
if(UNIX)
target_link_libraries(rtl_fm m)
target_link_libraries(rtl_adsb m)
target_link_libraries(rtl_power m)
if(APPLE OR CMAKE_SYSTEM MATCHES "OpenBSD")
    target_link_libraries(rtl_test m)
else()
    target_link_libraries(rtl_test m rt)
endif()
endif()

if(WIN32)
target_link_libraries(rtl_sdr libgetopt_static)
target_link_libraries(rtl_tcp ws2_32 libgetopt_static)
target_link_libraries(rtl_test libgetopt_static)
target_link_libraries(rtl_fm libgetopt_static)
target_link_libraries(rtl_eeprom libgetopt_static)
target_link_libraries(rtl_adsb libgetopt_static)
target_link_libraries(rtl_power libgetopt_static)
target_link_libraries(rtl_biast libgetopt_static)
set_property(TARGET rtl_sdr APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_tcp APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_test APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_fm APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_eeprom APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_adsb APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_power APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_biast APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
endif()
########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS rtlsdr EXPORT RTLSDR-export
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} # .so/.dylib file
  )
install(TARGETS rtlsdr_static EXPORT RTLSDR-export
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} # .so/.dylib file
  )
install(TARGETS rtl_sdr rtl_tcp rtl_test rtl_fm rtl_eeprom rtl_adsb rtl_power rtl_biast
  DESTINATION ${CMAKE_INSTALL_BINDIR}
  )

=== debian/changelog ===
rtl-sdr (2.0.2.202509292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Sep 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509282026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202509292026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509292026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509282026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202509292026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
